Bug 10453 - kmail при сохранении аттача может предлагать не то имя.
: kmail при сохранении аттача может предлагать не то имя.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdepim)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-12-19 13:42 by
Modified: 2010-10-11 15:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-19 13:42:39
Наткнулся на такую вешь: если в принятом письме на файле с аттачем щёлкнуть
правой клавишей мыши, выбрать "сохранить как", в открывшемся диалоге щёлкнуть
кнопку "каталог вверх", после чего нажать кнопку "Ок", то программа предлагает
сохранить файл не под именем, представленным в "местоположение", а под именем
каталога, из которого только что вышел. Если выйти таким образом и зайти, то
сохраняет под нормальным именем.

$ rpm -q kdepim-kmail
kdepim-kmail-3.5.5-alt1
$
Steps to Reproduce:
1.в принятом письме на файле с аттачем щёлкнуть правой клавишей мыши
2.в меню выбрать "сохранить как"
3.в открывшемся диалоге щёлкнуть кнопку "каталог вверх"
4.нажать кнопку "Ок"
Actual Results:  
Попытка сохранить файл под именем каталога, из которого только что вышел.

Expected Results:  
Сохранение под заданным именем.
------- Comment #1 From 2010-10-09 17:43:28 -------
Актуально?
------- Comment #2 From 2010-10-11 11:56:38 -------
Для KDE3 проверить уже не могу, в KDE4 это не актуально.
------- Comment #3 From 2010-10-11 15:57:10 -------
Тогда: fixed in KDE4